export const colorLegend = (selection, props) => {
   const {
     colorScale,
     circleRadius,
     spacing,
     textsize,
     textOffset,
     onClick
   } = props;
   console.log(colorScale.domain().length)
   const back = selection.append('rect')
     .attr('class','clback')
     .attr('width',140)
     .attr('height', spacing*colorScale.domain().length+2)
     .attr('x',-12)
     .attr('y',-14)
     .attr('rx',12)
   
   
   const groups = selection.selectAll('g')
     .data(colorScale.domain());
   const groupsEnter = groups.enter().append('g')
   groupsEnter
     .attr('transform', (d, i) =>
         `translate(0, ${i * spacing})`
       );
  
   groupsEnter.append('circle')
     .merge(groups.select('circle'))
       .attr('r', circleRadius)
       .attr('fill', colorScale)
  		 .on('click', onClick);

   groupsEnter.append('text')
     .merge(groups.select('text'))
       .text(d => d)
       .attr('class','cltext')
       .attr('dy', '0.32em')
       .attr('x', textOffset)
       .attr('font-size', textsize);
   
 }